std::chrono::time_point< _Clock, _Dur >(3)

NAME
std::chrono::time_point< _Clock, _Dur > - time_point

SYNOPSIS

  Public Types
typedef _Clock clock
typedef _Dur duration
typedef duration::period period
typedef duration::rep rep

  Public Member Functions
constexpr time_point (const duration &__dur)
template<typename _Dur2 , typename = _Require<is_convertible<_Dur2, _Dur>>> constexpr time_point (const time_point< clock, _Dur2 > &__t)
constexpr time_point & operator+= (const duration &__dur)
constexpr time_point & operator-= (const duration &__dur)
constexpr duration time_since_epoch () const

  Static Public Member Functions
static constexpr time_point max () noexcept
static constexpr time_point min () noexcept

  Related Functions
(Note that these are not member functions.)

template<typename _Clock , typename _Dur1 , typename _Rep2 , typename _Period2 > constexpr time_point< _Clock, typename common_type< _Dur1, duration< _Rep2, _Period2 > >::type > operator+ (const time_point< _Clock, _Dur1 > &__lhs, const duration< _Rep2, _Period2 > &__rhs)
Adjust a time point forwards by the given duration.
template<typename _Rep1 , typename _Period1 , typename _Clock , typename _Dur2 > constexpr time_point< _Clock, typename common_type< duration< _Rep1, _Period1 >, _Dur2 >::type > operator+ (const duration< _Rep1, _Period1 > &__lhs, const time_point< _Clock, _Dur2 > &__rhs)
Adjust a time point forwards by the given duration.
template<typename _Clock , typename _Dur1 , typename _Rep2 , typename _Period2 > constexpr time_point< _Clock, typename common_type< _Dur1, duration< _Rep2, _Period2 > >::type > operator- (const time_point< _Clock, _Dur1 > &__lhs, const duration< _Rep2, _Period2 > &__rhs)
Adjust a time point backwards by the given duration.

template<typename _Clock , typename _Dur1 , typename _Dur2 > constexpr common_type< _Dur1, _Dur2 >::type operator- (const time_point< _Clock, _Dur1 > &__lhs, const time_point< _Clock, _Dur2 > &__rhs)
The difference between two time points (as a duration)

Detailed Description

  template<typename _Clock, typename _Dur>
struct std::chrono::time_point< _Clock, _Dur >" time_point

Definition at line 74 of file chrono.

Author

Generated automatically by Doxygen for libstdc++ from the source code.